--- title: "Delete custom image quality settings" slug: "media-livestation-qualitysetting-qualitysettingdelete" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-qualitysetting-qualitysettingdelete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete custom image quality settings Available in Classic and VPC Delete a custom image quality setting. Note You can't delete an image quality setting that is in use on a channel; to delete an image quality setting that is in use, terminate the channel that is using it first. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v2/qualitySets/{qualitySetId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `qualitySetId` | Integer | Required | Image quality setting ID - See [Get image quality settings list](/docs/en/media-livestation-qualitysetting-qualitysettinglist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://livestation.apigw.ntruss.com/api/v2/qualitySets/****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.deleteSuccess` | Boolean | - | Deletion success status - `true` \| `false` - `true`: Succeeded - `false`: Failed | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "deleteSuccess": true } } ```